summaryrefslogtreecommitdiff
path: root/assets/css/compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'assets/css/compile.sh')
-rwxr-xr-xassets/css/compile.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/assets/css/compile.sh b/assets/css/compile.sh
index 934210f..66d79de 100755
--- a/assets/css/compile.sh
+++ b/assets/css/compile.sh
@@ -1,13 +1,14 @@
#!/bin/sh -e
HERE=$(dirname $(readlink -f ${0}));
-NODE=19.8.1-alpine3.17; # https://hub.docker.com/_/node
+NODE=23.0.0-alpine3.19; # https://hub.docker.com/_/node
cd ${HERE};
#===============================================================
docker run -v${HERE}:/x -w/x --rm -i node:${NODE} sh <<'EOF'
set -e;
+set -x
apk update;
apk upgrade;
apk add git;
@@ -16,8 +17,8 @@ apk add git;
cd /tmp;
git clone https://github.com/sass/sass.git;
cd sass;
-git checkout c1223263f742f4141f3afb069996f5025a182996;
-npm audit fix;
+git checkout 1c9ec00bbb061fa1be92c2e8c81144e6b8d8159b;
+npm audit fix || true;
npm install;
npm install -g sass;
cd /x;